package com.yeejoin.amos.fas.dao.entity;


import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.NamedQuery;
import javax.persistence.Table;

/**
 * @author keyong
 * @title: EquipmentSpecific
 * <pre>
 * @description: TODO
 * </pre>
 * @date 2020/11/16 15:44
 */
@Entity
@Table(name="wl_equipment_specific")
@NamedQuery(name="EquipmentSpecific.findAll", query="SELECT e FROM EquipmentSpecific e")
public class EquipmentSpecific extends BasicEntity {

    @Column(name="equipment_detail_id")
    private Long equipmentDetailId;

    @Column(name="qr_code")
    private String qrCode;

    @Column(name="single")
    private Boolean single;

    @Column(name="system_id")
    private String systemId;

    @Column(name="iot_code")
    private String iotCode;

    @Column(name="org_code")
    private String orgCode;

    @Column(name="code")
    private String code;

    public void setEquipmentDetailId(Long equipmentDetailId) {
        this.equipmentDetailId = equipmentDetailId;
    }

    public void setQrCode(String qrCode) {
        this.qrCode = qrCode;
    }

    public void setSingle(Boolean single) {
        this.single = single;
    }

    public void setSystemId(String systemId) {
        this.systemId = systemId;
    }

    public void setIotCode(String iotCode) {
        this.iotCode = iotCode;
    }

    public void setOrgCode(String orgCode) {
        this.orgCode = orgCode;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public Long getEquipmentDetailId() {
        return equipmentDetailId;
    }

    public String getQrCode() {
        return qrCode;
    }

    public Boolean getSingle() {
        return single;
    }

    public String getSystemId() {
        return systemId;
    }

    public String getIotCode() {
        return iotCode;
    }

    public String getOrgCode() {
        return orgCode;
    }

    public String getCode() {
        return code;
    }

    public EquipmentSpecific(Long equipmentDetailId, String qrCode, Boolean single, String systemId, String iotCode, String orgCode, String code) {
        this.equipmentDetailId = equipmentDetailId;
        this.qrCode = qrCode;
        this.single = single;
        this.systemId = systemId;
        this.iotCode = iotCode;
        this.orgCode = orgCode;
        this.code = code;
    }

    public EquipmentSpecific() {
    }
}
